Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_IIOP_Connector Class Reference

IIOP-specific Connector bridge for pluggable protocols. More...

`#include <IIOP_Connector.h>`

Inheritance diagram for TAO_IIOP_Connector:

[legend]
Collaboration diagram for TAO_IIOP_Connector:

[legend]
List of all members.

## Public Types
typedef TAO_Connect_Concurrency_Strategy< TAO_IIOP_Connection_Handler > | TAO_IIOP_CONNECT_CONCURRENCY_STRATEGY
typedef TAO_Connect_Creation_Strategy< TAO_IIOP_Connection_Handler > | TAO_IIOP_CONNECT_CREATION_STRATEGY
typedef ACE_Connect_Strategy< TAO_IIOP_Connection_Handler, ACE_SOCK_CONNECTOR > | TAO_IIOP_CONNECT_STRATEGY
typedef ACE_Strategy_Connector< TAO_IIOP_Connection_Handler, ACE_SOCK_CONNECTOR > | TAO_IIOP_BASE_CONNECTOR
## Public Methods
| TAO_IIOP_Connector (CORBA::Boolean flag=0)
| Constructor. More...
| ~TAO_IIOP_Connector (void)
| Destructor. More...
int | open (TAO_ORB_Core *orb_core)
| Initialize object and register with reactor. More...
int | close (void)
| Shutdown Connector bridge and concrete Connector. More...
TAO_Profile * | create_profile (TAO_InputCDR &cdr)
| Create a profile for this protocol and initialize it based on the encapsulation in <cdr>. More...
virtual int | check_prefix (const char *endpoint)
| Check that the prefix of the provided endpoint is valid for use with a given pluggable protocol. More...
virtual char | object_key_delimiter (void) const
| Return the object key delimiter to use or expect. More...
## Protected Methods
int | set_validate_endpoint (TAO_Endpoint *ep)
| Set and validate endpoint. We need to do this to initialize our remote *_Addr's which have not been done during IOR decode. More...
int | make_connection (TAO_GIOP_Invocation *invocation, TAO_Transport_Descriptor_Interface *desc, ACE_Time_Value *timeout=0)
| Do an actual connect using the underlying transport to make a connection. More...
virtual TAO_Profile * | make_profile (ACE_ENV_SINGLE_ARG_DECL)
| More TAO_Connector methods, please check the documentation on Transport_Connector.h. More...
int | init_tcp_properties (void)
| Obtain tcp properties that must be used by this connector, i.e., initialize <tcp_properties_>. More...
## Protected Attributes
TAO_IIOP_Properties | tcp_properties_
| TCP configuration properties to be used for all connections established by this connector. More...
CORBA::Boolean | lite_flag_
| Do we need to use a GIOP_Lite for sending messages? More...
## Private Methods
TAO_IIOP_Endpoint * | remote_endpoint (TAO_Endpoint *ep)
| Return the remote endpoint, a helper function. More...
## Private Attributes
TAO_IIOP_CONNECT_STRATEGY | connect_strategy_
| Our connect strategy. More...
TAO_IIOP_BASE_CONNECTOR | base_connector_
| The connector initiating connection requests for IIOP. More...

## Detailed Description

IIOP-specific Connector bridge for pluggable protocols.

Concrete instance of the TAO_Connector class. Responsible for establishing a connection with a server and is called from the Connector_Registory.

## Member Typedef Documentation

typedef ACE_Strategy_Connector<TAO_IIOP_Connection_Handler, ACE_SOCK_CONNECTOR> TAO_IIOP_Connector::TAO_IIOP_BASE_CONNECTOR

typedef TAO_Connect_Concurrency_Strategy<TAO_IIOP_Connection_Handler> TAO_IIOP_Connector::TAO_IIOP_CONNECT_CONCURRENCY_STRATEGY

typedef TAO_Connect_Creation_Strategy<TAO_IIOP_Connection_Handler> TAO_IIOP_Connector::TAO_IIOP_CONNECT_CREATION_STRATEGY

typedef ACE_Connect_Strategy<TAO_IIOP_Connection_Handler, ACE_SOCK_CONNECTOR> TAO_IIOP_Connector::TAO_IIOP_CONNECT_STRATEGY

## Constructor & Destructor Documentation

TAO_IIOP_Connector::TAO_IIOP_Connector | ( | CORBA::Boolean | flag = 0 | ) |

| Constructor.

TAO_IIOP_Connector::~TAO_IIOP_Connector | ( | void |  | ) |

| Destructor.

## Member Function Documentation

int TAO_IIOP_Connector::check_prefix | ( | const char * | endpoint | ) | `[virtual]`

| Check that the prefix of the provided endpoint is valid for use with a given pluggable protocol. Reimplemented from TAO_Connector.

int TAO_IIOP_Connector::close | ( | void |  | ) | `[virtual]`

| Shutdown Connector bridge and concrete Connector. Reimplemented from TAO_Connector.

TAO_Profile * TAO_IIOP_Connector::create_profile | ( | TAO_InputCDR & | cdr | ) | `[virtual]`

| Create a profile for this protocol and initialize it based on the encapsulation in <cdr>. Reimplemented from TAO_Connector.

int TAO_IIOP_Connector::init_tcp_properties | ( | void |  | ) | `[protected]`

| Obtain tcp properties that must be used by this connector, i.e., initialize <tcp_properties_>.

int TAO_IIOP_Connector::make_connection | ( | TAO_GIOP_Invocation * | invocation,
|  | TAO_Transport_Descriptor_Interface * | desc,
|  | ACE_Time_Value * | max_wait_time = 0
| ) | `[protected, virtual]`

| Do an actual connect using the underlying transport to make a connection. Reimplemented from TAO_Connector.

TAO_Profile * TAO_IIOP_Connector::make_profile | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | `[protected, virtual]`

| More TAO_Connector methods, please check the documentation on Transport_Connector.h. Reimplemented from TAO_Connector.

char TAO_IIOP_Connector::object_key_delimiter | ( | void |  | ) | const`[virtual]`

| Return the object key delimiter to use or expect. Reimplemented from TAO_Connector.

int TAO_IIOP_Connector::open | ( | TAO_ORB_Core * | orb_core | ) | `[virtual]`

| Initialize object and register with reactor. Reimplemented from TAO_Connector.

TAO_IIOP_Endpoint * TAO_IIOP_Connector::remote_endpoint | ( | TAO_Endpoint * | endpoint | ) | `[private]`

| Return the remote endpoint, a helper function.

int TAO_IIOP_Connector::set_validate_endpoint | ( | TAO_Endpoint * | endpoint | ) | `[protected, virtual]`

| Set and validate endpoint. We need to do this to initialize our remote *_Addr's which have not been done during IOR decode. Reimplemented from TAO_Connector.

## Member Data Documentation

TAO_IIOP_BASE_CONNECTOR TAO_IIOP_Connector::base_connector_`[private]`

| The connector initiating connection requests for IIOP.

TAO_IIOP_CONNECT_STRATEGY TAO_IIOP_Connector::connect_strategy_`[private]`

| Our connect strategy.

CORBA::Boolean TAO_IIOP_Connector::lite_flag_`[protected]`

| Do we need to use a GIOP_Lite for sending messages?

TAO_IIOP_Properties TAO_IIOP_Connector::tcp_properties_`[protected]`

| TCP configuration properties to be used for all connections established by this connector.

The documentation for this class was generated from the following files:

- IIOP_Connector.h
- IIOP_Connector.cpp